retraced C crashes are treated as 'not having enough memory to analyse'

Bug #185084 reported by Robert Collins
4
Affects Status Importance Assigned to Milestone
Apport
Undecided
Martin Pitt

Bug Description

*** Error: Problem in evolution

Sorry, the program "evolution" closed unexpectedly

Your computer does not have enough free memory to automatically analyze the problem and send a report to the developers.

Revision history for this message
Martin Pitt (pitti) wrote :

Fixed in bzr head, thank you!

Changed in apport:
assignee: nobody → pitti
status: New → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

This has been fixed last week, but not auto-closed (since this is an upstream bug).

apport (0.101) hardy; urgency=low

  * debian/control: Add python-xdg dependency to apport, since apport-cli
    needs it. (LP: #177095)
  * apport/ui.py: Add test case for reporting a report which has been
    preprocessed by apport-retrace, i. e. has a stack trace, but no core dump
    any more (reproducing LP #185084).
  * apport/ui.py, run_crash(): Do not reject reports which have a stack trace,
    but no core dump. (LP: #185084)
  * apport/report.py: Fix test_add_gdb_info_load() test case, the temporary
    executable was already deleted when gdb ran the second time.

 -- Martin Pitt <email address hidden> Wed, 23 Jan 2008 17:48:06 +0000

Changed in apport:
status: Fix Committed → Fix Released
Revision history for this message
Robert Collins (lifeless) wrote : Re: [Bug 185084] Re: retraced C crashes are treated as 'not having enough memory to analyse'

On Tue, 2008-02-05 at 12:18 +0000, Martin Pitt wrote:
> This has been fixed last week, but not auto-closed (since this is an
> upstream bug).

I believe if you use --fixes lp:xxx to bzr launchpad will close (or at
least link) bugs.

-Rob
--
GPG key available at: <http://www.robertcollins.net/keys.txt>.

Revision history for this message
Martin Pitt (pitti) wrote :

Robert Collins [2008-02-06 22:11 -0000]:
> I believe if you use --fixes lp:xxx to bzr launchpad will close (or at
> least link) bugs.

Oh, I wasn't aware of this. Sounds great, I'll try this. Thanks!

Revision history for this message
Andrew Conkling (andrewski) wrote :

I just encountered this bug in 0.107 when trying to analyze a bug in Firefox 3.0 on Ubuntu Hardy. Is this perhaps related?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers